#include "core.hpp"
void System::init()
{
	initscr();
	colors=has_colors();
	curs_set(cursor);
	getmaxyx(stdscr,term_x,term_y);
	start_color();
	noecho();
	cbreak();	
}
void System::drawAll()
{
	for(auto object : objects)				// Iterujemy sobie po obiektach
	{
		object->draw();						// I je rysujemy
	}
}
void System::initColors()
{
	init_pair(14, COLOR_WHITE, COLOR_WHITE);
    init_pair(13, COLOR_WHITE, COLOR_YELLOW);
    init_pair(12, COLOR_MAGENTA, COLOR_BLACK);
    init_pair(11, COLOR_YELLOW, COLOR_BLACK);
    init_pair(10, COLOR_GREEN, COLOR_BLACK);
    init_pair(9, COLOR_BLUE, COLOR_BLACK);
    init_pair(8, COLOR_RED, COLOR_BLACK);
    init_pair(7, COLOR_WHITE, COLOR_WHITE);
    init_pair(6, COLOR_WHITE, COLOR_YELLOW);
    init_pair(5, COLOR_YELLOW, COLOR_YELLOW);
    init_pair(4, COLOR_YELLOW, COLOR_RED);
    init_pair(3, COLOR_RED, COLOR_RED);
    init_pair(2, COLOR_RED, COLOR_BLACK);
    init_pair(1, COLOR_BLACK, COLOR_BLACK);
}

