#ifndef core_hpp
#define core_hpp
enum COLOR {NUL,RED,BLUE,GREEN,YELLOW,MAGENTA};
#include <vector>
#include <iterator>
#include <ncurses.h>
#include <unistd.h>
#include <string.h>
#include <cmath>
#include "keyboard.cpp"
#include "window.cpp"
#include "particle.cpp"
#include "graph.cpp"
class System
{
private:
	short int default_delay;
	short int term_x;
	short int term_y;
	bool	  colors;
	bool	  cursor;
	std::vector<Window*>objects;
public:
	Keyboard  key;
	System() : default_delay(10000) ,cursor(false)
	{
		srand(time(NULL));
		start_color();
	}
	void init();
	void initColors();
	void drawAll();
	void sleep(){usleep(default_delay);}
	void sleep(int x){napms(x);}
	short int getHeight(){return term_x;}
	short int getWidth(){return term_y;}
	////////////////////////////////////////////////////////////////////
	void	  addObject(Window*_win) {objects.push_back(_win);}		// Funkcje z implementacją w 
	void 	  dropObject(const int i){objects.erase(objects.begin()+i);}	// Nagłówku klasy są domyślnie inline
	Window*   getObject(const unsigned int i)								// Więc w tych funkcjach nie ma potrzeby pisania inline
	{																// Ale czytałem również, że w niektórych
		if(( i < 0 ) || ( i > objects.size())) return 0;			// Przypadkach, kompilator i tak zrobi
		else return objects[i];										// To co mu sie podoba, sam oceni czy ma byc																	// Inline, czy nie
	}											
	short int objectsCount() {return objects.size();}				
	////////////////////////////////////////////////////////////////////
	~System(){endwin();}
	
};
inline int oscilate1(int b){static bool strona;static int osc;if(osc == 0)strona = 1;if(osc == b-1)strona = 0;strona?osc++:osc--;return osc;}
inline int oscilate(int b){static bool strona;static int osc;if(osc == 0)strona = 1;if(osc == b-1)strona = 0;strona?osc++:osc--;return osc;}
inline int oscilate2(int a,int b){static bool strona;static int osc;if(osc == a || osc == 0)strona = 1;if(osc == b-1)strona = 0;(strona)?osc++:osc--;return osc;}
#endif
