#ifndef	graph_hpp
#define graph_hpp
struct Point
{
	int x,y;
	int color;
	Point(short int _x,short int _y) 
		: x(_x), y(_y){}
};
class Graph : public Window
{
private:
	int n_points;
	std::vector<Point> points;
	short int low, mid, hi;
public:
	Graph() : Window(5,5,0,0), n_points(0){}
	Graph(const int _x,const int _y,const int _x1,const int _y1) : 
	Window(_x,_y,_x1,_y1)
	{
		setColors(9,10,8);
	}
	
	
	void draw();
	void drawPoints();
	void DrawCircle (const int _x0, const int _y0, const int radius);
	void DrawLine(const int x1, const int y1, const int x2, const int y2);
	void DrawEllipse(const int _x0, const int _y0, const int width, const int height);
	void setColors(short int _low,short int _middle, short int _high)
	{
		low = _low;
		mid = _middle;
		hi	= _high;
	}
	
	~Graph(){delwin(win);}
};
#endif
