#include "window.hpp"
Window::Window()
{
	x		= 0;
	x1		= 0;
	y		= 0;
	y1		= 0;
	win 	= newwin(x,y,x1,y1);
}
Window::Window(short int _x,short int _y,short int _x1,short int _y1)
{
	x 		= _x;
	y 		= _y;
	x1 		= _x1;
	y1 		= _y1;
	visible = true;
	win 	= newwin(x,y,x1,y1);
	getmaxyx(stdscr, max_x, max_y);
}
inline void Window::setWidth(short int _y)
{
	if(_y > 1 && _y <= init_y ){
	y = _y;
	nwin();
	}
}
inline void Window::setHeight(short int _x)
{
	if(_x > 1 && _x <= init_x){
	x = _x;
	nwin();
	}
}
inline void Window::setY(short int _X)
{
	if((_X >= 0 && _X <= max_x) && (_X != x1)){
	x1 = _X;
	nwin();
	}
}
inline void Window::setX(short int _Y)	
{
	if((_Y >= 0) && (_Y != y1)){
	y1 = _Y;
	nwin();
	}
}
void	Window::_boxprint()
{
	if(visible)	box(win,0,0);			// Jeśli skrzynka ma być widoczna
}
void 	Window::nwin()
{
	//wborder(win,' ',' ',' ',' ',' ',' ',' ',' ');
	//wrefresh(win);
	//delwin(win);
	//win = newwin(x,y,x1,y1);
	wborder(win,' ',' ',' ',' ',' ',' ',' ',' ');
	wrefresh(win);
	mvwin(win,x1,y1);
}
void 	Window::draw()
{
	_boxprint();
	wrefresh(win);
}
